--- app_queue.c.orig    2006-05-10 13:20:56.000000000 +0200
+++ app_queue.c 2006-05-10 13:54:56.000000000 +0200
@@ -430,6 +430,10 @@
        enum queue_member_status result = QUEUE_NO_MEMBERS;

        for (member = q->members; member; member = member->next) {
+               if (member->paused) {
+                       result = QUEUE_NO_REACHABLE_MEMBERS;
+                       continue;
+               }
                switch (member->status) {
                case AST_DEVICE_INVALID:
                        /* nothing to do */
